# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXNewRegularArray

Function

Creates an Array containing evenly spaced data.

Syntax
`
#include <dx/dx.h>
`

RegularArray DXNewRegularArray(Type t, int dim, int n,
Pointer origin, Pointer delta)

Functional Details

The new Array Object represents a Regular Array of `n` points starting at `origin` with a spacing of `delta`. The rank is assumed to be 1, and the shape is `dim`. Both `origin` and `delta` are assumed to point to items of the same type as the items in `a`.

Type `t` is one of the following:

    TYPE_BYTE            TYPE_HYPER        TYPE_SHORT
    TYPE_UBYTE           TYPE_INT          TYPE_USHORT
    TYPE_DOUBLE          TYPE_UINT         TYPE_STRING
    TYPE_FLOAT

Regular Arrays are most often used as constituents of Product Arrays for the compact representation of regular grids of positions.

In previous versions of the Data Explorer software, regular arrays with zero delta values were used to store constant data. This type of data can now be stored in a Constant Array.

The Array created can be deleted with DXDelete. See 4.2 , "Memory Management".

Return Value

Returns the Regular Array or returns `NULL` and sets an error code.

See Also

`DXCreateArrayHandle, DXGetRegularArrayInfo, DXNewConstantArray, DXNewConstantArrayV`

"Regular Arrays".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]